Skip to main content
GET
/
api
/
v1
/
users
/
{custom_user_id}
/
merge-conflicts
List Merge Conflicts
curl --request GET \
  --url https://api.recallrai.com/api/v1/users/{custom_user_id}/merge-conflicts \
  --header 'X-Recallr-Api-Key: <x-recallr-api-key>' \
  --header 'X-Recallr-Project-Id: <x-recallr-project-id>'
import requests

url = "https://api.recallrai.com/api/v1/users/{custom_user_id}/merge-conflicts"

headers = {
"X-Recallr-Project-Id": "<x-recallr-project-id>",
"X-Recallr-Api-Key": "<x-recallr-api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {
'X-Recallr-Project-Id': '<x-recallr-project-id>',
'X-Recallr-Api-Key': '<x-recallr-api-key>'
}
};

fetch('https://api.recallrai.com/api/v1/users/{custom_user_id}/merge-conflicts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "conflicts": [
    {
      "conflict_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "project_user_session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "conflicting_memories": [
        {
          "memory_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "content": "<string>",
          "reason": "<string>",
          "event_date_start": "2023-11-07T05:31:56Z",
          "event_date_end": "2023-11-07T05:31:56Z",
          "created_at": "2023-11-07T05:31:56Z"
        }
      ],
      "clarifying_questions": [
        {
          "question": "<string>",
          "options": [
            "<string>"
          ]
        }
      ],
      "resolution_data": {
        "question_answers": [
          {
            "question": "<string>",
            "answer": "<string>",
            "message": "<string>"
          }
        ]
      },
      "created_at": "2023-11-07T05:31:56Z",
      "resolved_at": "2023-11-07T05:31:56Z",
      "proposed_memory_content": "<string>",
      "new_memories": [
        {
          "memory_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "content": "<string>",
          "event_date_start": "2023-11-07T05:31:56Z",
          "event_date_end": "2023-11-07T05:31:56Z",
          "created_at": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ],
  "total": 123,
  "has_more": true
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Headers

X-Recallr-Project-Id
string<uuid>
required
X-Recallr-Api-Key
string
required

Path Parameters

custom_user_id
string
required

Custom user ID to list merge conflicts for

Query Parameters

offset
integer
default:0

Number of records to skip

Required range: x >= 0
limit
integer
default:10

Maximum number of records to return

Required range: 1 <= x <= 100
status
enum<string> | null

Filter by status

Available options:
PENDING,
IN_QUEUE,
RESOLVING,
RESOLVED,
FAILED
sort_by
string
default:created_at

Sort field (created_at, resolved_at)

sort_order
string
default:desc

Sort order (asc, desc)

Response

Merge conflicts listed successfully

Response containing list of merge conflicts.

conflicts
MergeConflictInfo · object[]
required
total
integer
required
has_more
boolean
required